SplPriorityQueue::extract
SplPriorityQueue::isEmpty
SplPriorityQueue
PHP Manual

# SplPriorityQueue::insert

(No version information available, might be only in CVS)

SplPriorityQueue::insert — Inserts an element in the queue by sifting it up.

### Description

void SplPriorityQueue::insert ( mixed `$value` , mixed `$priority` )

Insert `value` with the priority `priority` in the queue.

### Parameters

`value`

  The value to insert.

`priority`

  The associated priority.

### Return Values

No value is returned.

SplPriorityQueue::extract
SplPriorityQueue::isEmpty
SplPriorityQueue
PHP Manual